package com.rjconsultores.ventaboletos.vo.corrida;

import java.math.BigDecimal;

public class TramoSequenciaVO {
	private Integer tramoId;
	private String desctramo;
	private Integer origemId;
	private String descOrigem;
	private Integer cidadeOrigemId;
	private String nomeCidadeOrigem;
	private Integer estadoOrigemId;
	private String nomeEstadoOrigem;
	private String cveEstadoOrigem;
	private Integer destinoId;
	private String descDestino;
	private Integer cidadeDestinoId;
	private String nomeCidadeDestino;
	private Integer estadoDestinoId;
	private String nomeEstadoDestino;
	private String cveEstadoDestino;
	private Integer viaId;
	private String nomeVia;
	private Integer sequencia;
	private BigDecimal importeTaxaEmbarque;
	private BigDecimal importePedagio;
	private BigDecimal importeOutros;
	private BigDecimal importeSeguro;
	private BigDecimal precio;
	private BigDecimal tarifaMinima;
	
	public TramoSequenciaVO() {
		
	}

	public Integer getTramoId() {
		return tramoId;
	}

	public void setTramoId(Integer tramoId) {
		this.tramoId = tramoId;
	}

	public String getDesctramo() {
		return desctramo;
	}

	public void setDesctramo(String desctramo) {
		this.desctramo = desctramo;
	}

	public Integer getOrigemId() {
		return origemId;
	}

	public void setOrigemId(Integer origemId) {
		this.origemId = origemId;
	}

	public String getDescOrigem() {
		return descOrigem;
	}

	public void setDescOrigem(String descOrigem) {
		this.descOrigem = descOrigem;
	}

	public Integer getCidadeOrigemId() {
		return cidadeOrigemId;
	}

	public void setCidadeOrigemId(Integer cidadeOrigemId) {
		this.cidadeOrigemId = cidadeOrigemId;
	}

	public String getNomeCidadeOrigem() {
		return nomeCidadeOrigem;
	}

	public void setNomeCidadeOrigem(String nomeCidadeOrigem) {
		this.nomeCidadeOrigem = nomeCidadeOrigem;
	}

	public Integer getEstadoOrigemId() {
		return estadoOrigemId;
	}

	public void setEstadoOrigemId(Integer estadoOrigemId) {
		this.estadoOrigemId = estadoOrigemId;
	}

	public String getNomeEstadoOrigem() {
		return nomeEstadoOrigem;
	}

	public void setNomeEstadoOrigem(String nomeEstadoOrigem) {
		this.nomeEstadoOrigem = nomeEstadoOrigem;
	}

	public String getCveEstadoOrigem() {
		return cveEstadoOrigem;
	}

	public void setCveEstadoOrigem(String cveEstadoOrigem) {
		this.cveEstadoOrigem = cveEstadoOrigem;
	}

	public Integer getDestinoId() {
		return destinoId;
	}

	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}

	public String getDescDestino() {
		return descDestino;
	}

	public void setDescDestino(String descDestino) {
		this.descDestino = descDestino;
	}

	public Integer getCidadeDestinoId() {
		return cidadeDestinoId;
	}

	public void setCidadeDestinoId(Integer cidadeDestinoId) {
		this.cidadeDestinoId = cidadeDestinoId;
	}

	public String getNomeCidadeDestino() {
		return nomeCidadeDestino;
	}

	public void setNomeCidadeDestino(String nomeCidadeDestino) {
		this.nomeCidadeDestino = nomeCidadeDestino;
	}

	public Integer getEstadoDestinoId() {
		return estadoDestinoId;
	}

	public void setEstadoDestinoId(Integer estadoDestinoId) {
		this.estadoDestinoId = estadoDestinoId;
	}

	public String getNomeEstadoDestino() {
		return nomeEstadoDestino;
	}

	public void setNomeEstadoDestino(String nomeEstadoDestino) {
		this.nomeEstadoDestino = nomeEstadoDestino;
	}

	public String getCveEstadoDestino() {
		return cveEstadoDestino;
	}

	public void setCveEstadoDestino(String cveEstadoDestino) {
		this.cveEstadoDestino = cveEstadoDestino;
	}

	public Integer getViaId() {
		return viaId;
	}

	public void setViaId(Integer viaId) {
		this.viaId = viaId;
	}

	public String getNomeVia() {
		return nomeVia;
	}

	public void setNomeVia(String nomeVia) {
		this.nomeVia = nomeVia;
	}

	public Integer getSequencia() {
		return sequencia;
	}

	public void setSequencia(Integer sequencia) {
		this.sequencia = sequencia;
	}

	public BigDecimal getImporteTaxaEmbarque() {
		return importeTaxaEmbarque;
	}

	public void setImporteTaxaEmbarque(BigDecimal importeTaxaEmbarque) {
		this.importeTaxaEmbarque = importeTaxaEmbarque;
	}

	public BigDecimal getImportePedagio() {
		return importePedagio;
	}

	public void setImportePedagio(BigDecimal importePedagio) {
		this.importePedagio = importePedagio;
	}

	public BigDecimal getImporteOutros() {
		return importeOutros;
	}

	public void setImporteOutros(BigDecimal importeOutros) {
		this.importeOutros = importeOutros;
	}

	public BigDecimal getImporteSeguro() {
		return importeSeguro;
	}

	public void setImporteSeguro(BigDecimal importeSeguro) {
		this.importeSeguro = importeSeguro;
	}

	public BigDecimal getPrecio() {
		return precio;
	}

	public void setPrecio(BigDecimal precio) {
		this.precio = precio;
	}

	public BigDecimal getTarifaMinima() {
		return tarifaMinima;
	}

	public void setTarifaMinima(BigDecimal tarifaMinima) {
		this.tarifaMinima = tarifaMinima;
	}

}
